Jump to content

Archived

This topic is now archived and is closed to further replies.

pensioned

Installing Update

Recommended Posts

Hello

First I like to say I love your  products that I have purchased. I have Twin Otter version 1.11 and fixes 1.3 and 1.4 installed long ago.  I just downloaded the plane again from the FSPilotShop which contains v1.2.  I use FSX.

 

Do I need to install this new version or am I ok as it now stands for FSX?

If I do download and install the newer version ...what would be the process to install?  I mean ...do I completely remove .. delete the original version before installing the new version or can the new version be installed over top of the old?

 

Thanks for the support.

 

Jack

Share this post


Link to post
Share on other sites

×
×
  • Create New...